Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# NativeWindowHandle Class Reference

This subclass of WindowHandle exists to allow simple creation of a WindowHandle of the appropriate type to the current OS. More...

Inheritance diagram for NativeWindowHandle:

List of all members.

## Static Public Member Functions
static TypeHandle | getClassType ()
static WindowHandle | makeInt (unsigned int window)
| Constructs a new WindowHandle with an int value, which is understood to be either an HWND or a Window, cast to int.
static WindowHandle | makeSubprocess (Filename const filename)
| Constructs a new WindowHandle that references a SubprocessWindowBuffer read in another process, with the named pipe filename that it uses for communication.

## Detailed Description

This subclass of WindowHandle exists to allow simple creation of a WindowHandle of the appropriate type to the current OS.

This class exists for name scoping only. Don't use the constructor directly; use one of the make_* methods.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from WindowHandle.

static WindowHandle makeInt | ( | unsigned int | window | ) | `[static]`

Constructs a new WindowHandle with an int value, which is understood to be either an HWND or a Window, cast to int.

This method exists for the convenience of Python, which likes to deal with ints; C++ code should use one of the more specific make_x11() or make_win32() methods instead.

static WindowHandle makeSubprocess | ( | Filename const | filename | ) | `[static]`

Constructs a new WindowHandle that references a SubprocessWindowBuffer read in another process, with the named pipe filename that it uses for communication.

This is (at present, and maybe always) useful only on the OS X platform, where parenting child windows is particularly problematic.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties